Patch External Wallet

PATCHhttps://bank.dattaremit.com/api/external_wallets/{external_wallet_guid}

Requires a bank-scoped key.

Updates an external_wallet.

Required scope: external_wallets:write

Path Params

external_wallet_guidstringrequired

Identifier for the external_wallet.

Body Params

required
namestring

The name of the external wallet.

Responses

200

External wallet updated

401

Unauthorized - Authentication failed

403

Invalid scope

404

ExternalWallet not found

Request

curl https://api.dattaremit.com/api/external_wallets/{external_wallet_guid} \
  -X PATCH \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string"
}'

Response

External wallet updated

{
  "guid": "string",
  "name": "string",
  "asset": "string",
  "environment": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "counterparty_guid": "string",
  "address": "string",
  "tag": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "state": "string",
  "failure_code": "string"
}